Prev Top Next

Name
KXL_CreateWindow
Synopsis

    KXL_CreateWindow -- window is created.
    X window must start by any of 16bpp, 24bpp, and 32bpp they are.
    The frame of the same size as window size is created simultaneously.
    A font color is set up white.
    A drawing color is set up black.
    A key repeat is set as OFF.

Description

    void KXL_CreateWindow(Uint16 width, Uint16 height, Uint8 *title,
    Uint32 events);

Arguments

width | Width of a window.
height | Height of a window.
title | The name of a title bar.

events

The event to receive.
An event is specified combining the following by logical sum.

KXL_EVENT_KEY_PRESS_MASK | When a key is press.
KXL_EVENT_KEY_RELEASE_MASK | When a key is release.
KXL_EVENT_BUTTON_PRESS_MASK | When a mouse button is press.
KXL_EVENT_BUTTON_RELEASE_MASK | When a mouse button is release.
KXL_EVENT_BUTTON_MOTION_MASK | When a moves pressing mouse button.
KXL_EVENT_EXPOSURE_MASK | When a demand of re-drawing.

Return Value
Nothing.
Exsample

    #include <KXL.h>

    int main(void)
    {
      KXL_CreateWindow(100, 100, "kxl.org", 0);
      getchar();
      KXL_DeleteWindow();
      return 0;
    }